package org.jeecg.modules.travelAmusement.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 游玩项目表
 * @Author: jeecg-boot
 * @Date:   2024-09-24
 * @Version: V1.0
 */
@Data
@TableName("travel_amusement")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="travel_amusement对象", description="游玩项目表")
public class TravelAmusement implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**项目标题*/
	@Excel(name = "项目标题", width = 15)
    @ApiModelProperty(value = "项目标题")
    private java.lang.String amusementTitle;
	/**项目副标题*/
	@Excel(name = "项目副标题", width = 15)
    @ApiModelProperty(value = "项目副标题")
    private java.lang.String amusementShortTitle;
	/**项目图片*/
	@Excel(name = "项目图片", width = 15)
    @ApiModelProperty(value = "项目图片")
    private java.lang.String amusementImage;
	/**项目价格*/
	@Excel(name = "项目价格", width = 15)
    @ApiModelProperty(value = "项目价格")
    private java.math.BigDecimal amusementPrice;
	/**项目介绍*/
	@Excel(name = "项目介绍", width = 15)
    @ApiModelProperty(value = "项目介绍")
    private java.lang.String amusementBrief;
	/**关于行程*/
	@Excel(name = "关于行程", width = 15)
    @ApiModelProperty(value = "关于行程")
    private java.lang.String amusementRoute;
	/**注意事项*/
	@Excel(name = "注意事项", width = 15)
    @ApiModelProperty(value = "注意事项")
    private java.lang.String amusementAttention;
	/**出行说明*/
	@Excel(name = "出行说明", width = 15)
    @ApiModelProperty(value = "出行说明")
    private java.lang.String amusementStatement;
	/**是否付费项目(0-否 1-是)*/
	@Excel(name = "是否付费项目(0-否 1-是)", width = 15)
    @ApiModelProperty(value = "是否付费项目(0-否 1-是)")
    private java.lang.String isPay;
	/**项目类型(0-遗产路径 1-我要研学)*/
	@Excel(name = "项目类型(0-遗产路径 1-我要研学)", width = 15)
    @ApiModelProperty(value = "项目类型(0-遗产路径 1-我要研学)")
    private java.lang.String amusementType;
	/**开放时间*/
	@Excel(name = "开放时间", width = 15)
    @ApiModelProperty(value = "开放时间")
    private java.lang.String openTime;
	/**联系电话*/
	@Excel(name = "联系电话", width = 15)
    @ApiModelProperty(value = "联系电话")
    private java.lang.String phone;
}
