import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '项目标题',
    align:"center",
    dataIndex: 'amusementTitle'
   },
   {
    title: '项目副标题',
    align:"center",
    dataIndex: 'amusementShortTitle'
   },
   {
    title: '项目图片',
    align:"center",
    dataIndex: 'amusementImage',
    customRender:render.renderAvatar,
   },
   {
    title: '项目价格',
    align:"center",
    dataIndex: 'amusementPrice'
   },
   {
    title: '项目介绍',
    align:"center",
    dataIndex: 'amusementBrief'
   },
   {
    title: '关于行程',
    align:"center",
    dataIndex: 'amusementRoute',
    slots: { customRender: 'htmlSlot' },
   },
   {
    title: '注意事项',
    align:"center",
    dataIndex: 'amusementAttention',
    slots: { customRender: 'htmlSlot' },
   },
   {
    title: '出行说明',
    align:"center",
    dataIndex: 'amusementStatement',
    slots: { customRender: 'htmlSlot' },
   },
   {
    title: '是否付费项目(0-否 1-是)',
    align:"center",
    dataIndex: 'isPay'
   },
   {
    title: '项目类型(0-遗产路径 1-我要研学)',
    align:"center",
    dataIndex: 'amusementType'
   },
   {
    title: '开放时间',
    align:"center",
    dataIndex: 'openTime'
   },
   {
    title: '联系电话',
    align:"center",
    dataIndex: 'phone'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '项目标题',
    field: 'amusementTitle',
    component: 'Input',
  },
  {
    label: '项目副标题',
    field: 'amusementShortTitle',
    component: 'Input',
  },
  {
    label: '项目图片',
    field: 'amusementImage',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '项目价格',
    field: 'amusementPrice',
    component: 'InputNumber',
  },
  {
    label: '项目介绍',
    field: 'amusementBrief',
    component: 'Input',
  },
  {
    label: '关于行程',
    field: 'amusementRoute',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
  {
    label: '注意事项',
    field: 'amusementAttention',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
  {
    label: '出行说明',
    field: 'amusementStatement',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
  {
    label: '是否付费项目(0-否 1-是)',
    field: 'isPay',
    component: 'Input',
  },
  {
    label: '项目类型(0-遗产路径 1-我要研学)',
    field: 'amusementType',
    component: 'Input',
  },
  {
    label: '开放时间',
    field: 'openTime',
    component: 'Input',
  },
  {
    label: '联系电话',
    field: 'phone',
    component: 'Input',
  },
];
