package org.jeecg.modules.travelArea.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 景区表
 * @Author: jeecg-boot
 * @Date:   2024-09-15
 * @Version: V1.0
 */
@Data
@TableName("travel_area")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="travel_area对象", description="景区表")
public class TravelArea implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**景区名称*/
	@Excel(name = "景区名称", width = 15)
    @ApiModelProperty(value = "景区名称")
    private java.lang.String areaName;
	/**景区简介*/
	@Excel(name = "景区简介", width = 15)
    @ApiModelProperty(value = "景区简介")
    private java.lang.String areaBrief;
	/**景区图片*/
	@Excel(name = "景区图片", width = 15)
    @ApiModelProperty(value = "景区图片")
    private java.lang.String areaImage;
	/**景区详情*/
	@Excel(name = "景区详情", width = 15)
    @ApiModelProperty(value = "景区详情")
    private java.lang.String areaDetail;
}
