package org.jeecg.modules.travelCategory.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 分类表
 * @Author: jeecg-boot
 * @Date:   2024-09-20
 * @Version: V1.0
 */
@Data
@TableName("travel_category")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="travel_category对象", description="分类表")
public class TravelCategory implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**分类名称*/
	@Excel(name = "分类名称", width = 15)
    @ApiModelProperty(value = "分类名称")
    private java.lang.String categoryName;
	/**父级分类*/
	@Excel(name = "父级分类", width = 15, dictTable = "travel_category", dicText = "category_name", dicCode = "id")
	@Dict(dictTable = "travel_category", dicText = "category_name", dicCode = "id")
    @ApiModelProperty(value = "父级分类")
    private java.lang.String categoryPid;
	/**分类标识码*/
	@Excel(name = "分类标识码", width = 15)
    @ApiModelProperty(value = "分类标识码")
    private java.lang.String categoryCode;
}
