package org.jeecg.modules.travelExperience.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 非遗体验表
 * @Author: jeecg-boot
 * @Date:   2024-09-24
 * @Version: V1.0
 */
@Data
@TableName("travel_experience")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="travel_experience对象", description="非遗体验表")
public class TravelExperience implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**非遗体验标题*/
	@Excel(name = "非遗体验标题", width = 15)
    @ApiModelProperty(value = "非遗体验标题")
    private java.lang.String experienceTitle;
	/**非遗体验封面*/
	@Excel(name = "非遗体验封面", width = 15)
    @ApiModelProperty(value = "非遗体验封面")
    private java.lang.String experienceImage;
	/**开放时间*/
	@Excel(name = "开放时间", width = 15)
    @ApiModelProperty(value = "开放时间")
    private java.lang.String experienceOpentime;
	/**非遗体验详情*/
	@Excel(name = "非遗体验详情", width = 15)
    @ApiModelProperty(value = "非遗体验详情")
    private java.lang.String experienceDetail;
	/**开放时间*/
	@Excel(name = "开放时间", width = 15)
    @ApiModelProperty(value = "开放时间")
    private java.lang.String openTime;
	/**联系电话*/
	@Excel(name = "联系电话", width = 15)
    @ApiModelProperty(value = "联系电话")
    private java.lang.String phone;
}
