package org.jeecg.modules.travelImage.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 图片信息表
 * @Author: jeecg-boot
 * @Date:   2024-09-18
 * @Version: V1.0
 */
@Data
@TableName("travel_image")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="travel_image对象", description="图片信息表")
public class TravelImage implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**图片名称*/
	@Excel(name = "图片名称", width = 15)
    @ApiModelProperty(value = "图片名称")
    private java.lang.String imageName;
	/**图片内容*/
	@Excel(name = "图片内容", width = 15)
    @ApiModelProperty(value = "图片内容")
    private java.lang.String imageContent;
	/**图片分类*/
	@Excel(name = "图片分类", width = 15, dictTable = "travel_category", dicText = "category_name", dicCode = "id")
	@Dict(dictTable = "travel_category", dicText = "category_name", dicCode = "id")
    @ApiModelProperty(value = "图片分类")
    private java.lang.String categoryId;
	/**排序编号*/
	@Excel(name = "排序编号", width = 15)
    @ApiModelProperty(value = "排序编号")
    private java.lang.Integer orderId;
}
