package org.jeecg.modules.travelOrder.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 预约订单表
 * @Author: jeecg-boot
 * @Date:   2024-09-24
 * @Version: V1.0
 */
@Data
@TableName("travel_order")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="travel_order对象", description="预约订单表")
public class TravelOrder implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**订单类型(0-路径定制 1-遗产讲述 2-达人同游 3-我要跟拍 4-非遗体验 5-遗产路径 6-我要研学)*/
	@Excel(name = "订单类型(0-路径定制 1-遗产讲述 2-达人同游 3-我要跟拍 4-非遗体验 5-遗产路径 6-我要研学)", width = 15)
    @ApiModelProperty(value = "订单类型(0-路径定制 1-遗产讲述 2-达人同游 3-我要跟拍 4-非遗体验 5-遗产路径 6-我要研学)")
    private java.lang.String orderType;
	/**主题*/
	@Excel(name = "主题", width = 15)
    @ApiModelProperty(value = "主题")
    private java.lang.String orderTitle;
	/**电话*/
	@Excel(name = "电话", width = 15)
    @ApiModelProperty(value = "电话")
    private java.lang.String orderPhone;
	/**预约日期*/
	@Excel(name = "预约日期", width = 15, format = "yyyy-MM-dd")
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "预约日期")
    private java.util.Date orderDate;
	/**预约时间*/
	@Excel(name = "预约时间", width = 15)
    @ApiModelProperty(value = "预约时间")
    private java.lang.String orderTime;
	/**预约价格*/
	@Excel(name = "预约价格", width = 15)
    @ApiModelProperty(value = "预约价格")
    private java.math.BigDecimal orderPrice;
	/**预约项目编号*/
	@Excel(name = "预约项目编号", width = 15)
    @ApiModelProperty(value = "预约项目编号")
    private java.lang.String itemId;
	/**订单状态(0-待支付 1-待使用 2-已完成)*/
	@Excel(name = "订单状态(0-待支付 1-待使用 2-已完成)", width = 15)
    @ApiModelProperty(value = "订单状态(0-待支付 1-待使用 2-已完成)")
    private java.lang.String orderStatus;
}
