import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '订单类型(0-路径定制 1-遗产讲述 2-达人同游 3-我要跟拍 4-非遗体验 5-遗产路径 6-我要研学)',
    align:"center",
    dataIndex: 'orderType'
   },
   {
    title: '主题',
    align:"center",
    dataIndex: 'orderTitle'
   },
   {
    title: '电话',
    align:"center",
    dataIndex: 'orderPhone'
   },
   {
    title: '预约日期',
    align:"center",
    dataIndex: 'orderDate',
    customRender:({text}) =>{
      return !text?"":(text.length>10?text.substr(0,10):text)
    },
   },
   {
    title: '预约时间',
    align:"center",
    dataIndex: 'orderTime'
   },
   {
    title: '预约价格',
    align:"center",
    dataIndex: 'orderPrice'
   },
   {
    title: '预约项目编号',
    align:"center",
    dataIndex: 'itemId'
   },
   {
    title: '订单状态(0-待支付 1-待使用 2-已完成)',
    align:"center",
    dataIndex: 'orderStatus'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '订单类型(0-路径定制 1-遗产讲述 2-达人同游 3-我要跟拍 4-非遗体验 5-遗产路径 6-我要研学)',
    field: 'orderType',
    component: 'Input',
  },
  {
    label: '主题',
    field: 'orderTitle',
    component: 'Input',
  },
  {
    label: '电话',
    field: 'orderPhone',
    component: 'Input',
  },
  {
    label: '预约日期',
    field: 'orderDate',
    component: 'DatePicker',
  },
  {
    label: '预约时间',
    field: 'orderTime',
    component: 'Input',
  },
  {
    label: '预约价格',
    field: 'orderPrice',
    component: 'InputNumber',
  },
  {
    label: '预约项目编号',
    field: 'itemId',
    component: 'Input',
  },
  {
    label: '订单状态(0-待支付 1-待使用 2-已完成)',
    field: 'orderStatus',
    component: 'Input',
  },
];
