package org.jeecg.modules.travelRoleInfo.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 角色信息表
 * @Author: jeecg-boot
 * @Date:   2024-09-24
 * @Version: V1.0
 */
@Data
@TableName("travel_role_info")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="travel_role_info对象", description="角色信息表")
public class TravelRoleInfo implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**角色类型*/
	@Excel(name = "角色类型", width = 15, dictTable = "travel_category", dicText = "category_name", dicCode = "id")
	@Dict(dictTable = "travel_category", dicText = "category_name", dicCode = "id")
    @ApiModelProperty(value = "角色类型")
    private java.lang.String roleId;
	/**角色头像*/
	@Excel(name = "角色头像", width = 15)
    @ApiModelProperty(value = "角色头像")
    private java.lang.String roleHead;
	/**角色名称*/
	@Excel(name = "角色名称", width = 15)
    @ApiModelProperty(value = "角色名称")
    private java.lang.String roleName;
	/**角色等级*/
	@Excel(name = "角色等级", width = 15)
    @ApiModelProperty(value = "角色等级")
    private java.lang.String roleLevel;
	/**预约时间(1-金牌，2-专业)*/
	@Excel(name = "预约时间(1-金牌，2-专业)", width = 15)
    @ApiModelProperty(value = "预约时间(1-金牌，2-专业)")
    private java.lang.String preTime;
	/**预约价格*/
	@Excel(name = "预约价格", width = 15)
    @ApiModelProperty(value = "预约价格")
    private java.lang.Double price;
	/**预约信息*/
	@Excel(name = "预约信息", width = 15)
    @ApiModelProperty(value = "预约信息")
    private java.lang.String preInfo;
	/**推荐度*/
	@Excel(name = "推荐度", width = 15)
    @ApiModelProperty(value = "推荐度")
    private java.lang.String recommend;
	/**专业擅长*/
	@Excel(name = "专业擅长", width = 15)
    @ApiModelProperty(value = "专业擅长")
    private java.lang.String skill;
	/**个人简介*/
	@Excel(name = "个人简介", width = 15)
    @ApiModelProperty(value = "个人简介")
    private java.lang.String brief;
	/**所属用户*/
	@Excel(name = "所属用户", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "所属用户")
    private java.lang.String userId;
	/**提前预约*/
	@Excel(name = "提前预约", width = 15)
    @ApiModelProperty(value = "提前预约")
    private java.lang.String adPre;
	/**开放时间*/
	@Excel(name = "开放时间", width = 15)
    @ApiModelProperty(value = "开放时间")
    private java.lang.String openTime;
	/**联系电话*/
	@Excel(name = "联系电话", width = 15)
    @ApiModelProperty(value = "联系电话")
    private java.lang.String phone;
}
