import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '角色类型',
    align:"center",
    dataIndex: 'roleId_dictText'
   },
   {
    title: '角色头像',
    align:"center",
    dataIndex: 'roleHead',
    customRender:render.renderAvatar,
   },
   {
    title: '角色名称',
    align:"center",
    dataIndex: 'roleName'
   },
   {
    title: '角色等级',
    align:"center",
    dataIndex: 'roleLevel'
   },
   {
    title: '预约时间(1-金牌，2-专业)',
    align:"center",
    dataIndex: 'preTime'
   },
   {
    title: '预约价格',
    align:"center",
    dataIndex: 'price'
   },
   {
    title: '预约信息',
    align:"center",
    dataIndex: 'preInfo'
   },
   {
    title: '推荐度',
    align:"center",
    dataIndex: 'recommend'
   },
   {
    title: '专业擅长',
    align:"center",
    dataIndex: 'skill'
   },
   {
    title: '个人简介',
    align:"center",
    dataIndex: 'brief'
   },
   {
    title: '所属用户',
    align:"center",
    dataIndex: 'userId_dictText'
   },
   {
    title: '提前预约',
    align:"center",
    dataIndex: 'adPre'
   },
   {
    title: '开放时间',
    align:"center",
    dataIndex: 'openTime'
   },
   {
    title: '联系电话',
    align:"center",
    dataIndex: 'phone'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '角色类型',
    field: 'roleId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"travel_category,category_name,id"
     },
  },
  {
    label: '角色头像',
    field: 'roleHead',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '角色名称',
    field: 'roleName',
    component: 'Input',
  },
  {
    label: '角色等级',
    field: 'roleLevel',
    component: 'Input',
  },
  {
    label: '预约时间(1-金牌，2-专业)',
    field: 'preTime',
    component: 'Input',
  },
  {
    label: '预约价格',
    field: 'price',
    component: 'InputNumber',
  },
  {
    label: '预约信息',
    field: 'preInfo',
    component: 'Input',
  },
  {
    label: '推荐度',
    field: 'recommend',
    component: 'Input',
  },
  {
    label: '专业擅长',
    field: 'skill',
    component: 'Input',
  },
  {
    label: '个人简介',
    field: 'brief',
    component: 'Input',
  },
  {
    label: '所属用户',
    field: 'userId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"han_hai_member,nick_name,id"
     },
  },
  {
    label: '提前预约',
    field: 'adPre',
    component: 'Input',
  },
  {
    label: '开放时间',
    field: 'openTime',
    component: 'Input',
  },
  {
    label: '联系电话',
    field: 'phone',
    component: 'Input',
  },
];
