package org.jeecg.modules.travelVideo.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 视频信息表
 * @Author: jeecg-boot
 * @Date:   2024-09-14
 * @Version: V1.0
 */
@Data
@TableName("travel_video")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="travel_video对象", description="视频信息表")
public class TravelVideo implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**视频封面*/
	@Excel(name = "视频封面", width = 15)
    @ApiModelProperty(value = "视频封面")
    private java.lang.String videoImage;
	/**视频标题*/
	@Excel(name = "视频标题", width = 15)
    @ApiModelProperty(value = "视频标题")
    private java.lang.String videoTitle;
	/**视频内容*/
	@Excel(name = "视频内容", width = 15)
    @ApiModelProperty(value = "视频内容")
    private java.lang.String videoContent;
	/**点赞量*/
	@Excel(name = "点赞量", width = 15)
    @ApiModelProperty(value = "点赞量")
    private java.lang.String videoThumpup;
}
