package org.jeecg.modules.api.travelController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.apiService.IndexApiService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Api(tags="小程序-文创好物相关接口")
@RestController
@RequestMapping("/api/wares")
@Slf4j
public class WaresApiController {
    @Resource
    private IndexApiService indexApiService;

    //获取文创好物列表
    @ApiOperation(value="小程序-获取商品列表", notes="小程序-获取商品列表")
    @RequestMapping(value = "/queryWaresList", method = {RequestMethod.GET})
    public Result<?> queryWaresList(PageBean pageBean){
        return indexApiService.queryWaresList(pageBean);
    }

    //获取文创好物详情
    @ApiOperation(value="小程序-获取商品详情", notes="小程序-获取商品详情")
    @RequestMapping(value = "/queryWaresById", method = {RequestMethod.GET})
    public Result<?> queryWaresById(String waresId){
        return indexApiService.queryWaresById(waresId);
    }

    //商品下单
}
